import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { JsonApiConfiguration } from '../configuration/index';
import { JsonApiNormalizer } from '../normalizer/index';
export interface JsonApiRequestOptions {
    includes?: Array<string>;
    parameters?: {
        [name: string]: string;
    };
    transform?: boolean;
}
export declare class JsonApiClient {
    private $http;
    private $config;
    private $normalizer;
    constructor($http: HttpClient, $config: JsonApiConfiguration, $normalizer: JsonApiNormalizer);
    get<T = any>(url: string, options?: JsonApiRequestOptions): Observable<T>;
    put<T = any>(url: string, body: any | Observable<any>, options?: JsonApiRequestOptions): Observable<T>;
    delete<T = any>(url: string, options?: JsonApiRequestOptions): Observable<T>;
    post<T = any>(url: string, body: any, options?: JsonApiRequestOptions): Observable<T>;
    private transformPipe<T>(req, transform?);
    private url(url, options);
    private bodyToObservable(body);
}
