import { InjectionToken } from '@angular/core';
import { JsonApiConfiguration, ColumnTypesList } from './configuration.service';
import { JsonApiEntityMetadataLoader, EntityType } from '../entity/index';
export interface JsonApiRootModuleConfiguration {
    url: string | (() => string);
    entities?: Array<EntityType<any>>;
    types?: ColumnTypesList;
}
export interface JsonApiChildModuleConfiguration {
    entities?: Array<EntityType<any>>;
}
export declare const JSON_API_ROOT_MODULE_CONFIGURATION: InjectionToken<JsonApiRootModuleConfiguration>;
export declare const JSON_API_CHILD_MODULE_CONFIGURATION: InjectionToken<JsonApiChildModuleConfiguration>;
export declare function provideJsonApiRootConfiguration($metadataLoader: JsonApiEntityMetadataLoader, $config: JsonApiRootModuleConfiguration, $childConfigurations: Array<JsonApiChildModuleConfiguration>): JsonApiConfiguration;
