import { Mapper } from '../mapping/index';
export declare const EntityType: FunctionConstructor;
export interface EntityType<T> extends Function {
    new (...args: Array<any>): T;
}
export declare const JSON_API_ENTITY_METADATA = "__wa_json_api_entity_metadata__";
export declare type ColumnTransformer = (data: any) => any;
export interface ColumnMetadata {
    name: string;
    property: string;
    type: string | null;
    transformers: Array<ColumnTransformer>;
}
export interface RelationshipMetadata {
    name: string;
    property: string;
}
export interface EntityMetadata<T> {
    entityType: EntityType<T>;
    type: string;
    id: string;
    columns: {
        [name: string]: ColumnMetadata;
    };
    relationships: {
        [name: string]: RelationshipMetadata;
    };
    optional: Array<string>;
    mapper?: Mapper;
}
export declare class JsonApiEntityMetadataLoader {
    getMetadata<T>(entityType: EntityType<T>): EntityMetadata<T>;
}
