export interface JsonApiRelationship {
    data?: null | JsonApiResourceIdentifier | Array<JsonApiResourceIdentifier>;
}
export interface JsonApiResourceIdentifier {
    type: string;
    id: number | string;
}
export interface JsonApiResource extends JsonApiResourceIdentifier {
    attributes: {
        [name: string]: any;
    };
    relationships: {
        [name: string]: JsonApiRelationship;
    };
}
export interface JsonApiData {
    data?: null | JsonApiResourceIdentifier | JsonApiResource | Array<JsonApiResourceIdentifier> | Array<JsonApiResource>;
    included?: Array<JsonApiResource>;
}
