import { JsonApiData } from '../json-api-schema';
export interface JsonApiNormalizedResource {
    type: string;
    id: number | string;
    data: {
        [name: string]: any;
    };
    relationships: {
        [name: string]: null | JsonApiNormalizedResource | Array<JsonApiNormalizedResource>;
    };
}
export declare class JsonApiNormalizer {
    normalize(data: JsonApiData): JsonApiNormalizedResource | Array<JsonApiNormalizedResource>;
    normalizeItem(data: JsonApiData): JsonApiNormalizedResource;
    normalizeCollection(data: JsonApiData): Array<JsonApiNormalizedResource>;
    private normalizeResource(data, included);
    private findRelationship(relationship, included);
}
